<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>Log Database</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link type="text/css" href="/static/css/normalize.css" rel="stylesheet">
    <link type="text/css" href="/static/css/prism.css" rel="stylesheet">
    <link type="text/css" href="/static/css/chosen.css" rel="stylesheet">
    <link type="text/css" href="/static/css/skeleton.css" rel="stylesheet">
    <link type="text/css" href="/static/css/main.css" rel="stylesheet">
  </head>

  <body>
    <div class="container">
      <ul class="menu">
        <li class="menu"><a href="/">Home</a></li>
        <li class="menu"><a href="/upload/logs">Upload Test</a></li>
        <li class="menu"><a href="/fcp">FCPs</a></li>
        <li class="menu"><a href="/upload/fcps">Upload FCP</a></li>
        <li class="menu"><a href="/download">Download</a></li>
        <li class="menu"><a href="/upload/tags">Tags</a></li>
        <li class="menu"><a href="">Help</a></li>
        <img src="/static/img/Logo_FSTLisboa.png">
      </ul>
      <h1>Download Menu</h1>
      <iframe name="dummyframe" id="dummyframe" style="display: none;"></iframe>
      <form action = "{{api}}/download" method = "GET" target="dummyframe" enctype="multipart/form-data">
        <div>
          <label for="init_time">Insert Inital Time</label>
          <input type="datetime-local" id="init_time" name="init_time">
        </div>

        <div>
          <label for="end_time">Insert End Time</label>
          <input type="datetime-local" id="end_time" name="end_time">
        </div>

        <div>
          <label for="file_extension">Choose File Extension</label>
          <select name="file_extension" class="one" id="file_extension">
            <option value="CSV">CSV</option>
            <option value="MAT">MAT</option>
          </select>
        </div>

        <div>
          <label for=signal_list>Choose Signals:</label>
          <select name="signal_list" class="chosen-select" data-placeholder="Choose a signal" id="signal_list" multiple="" style="display: none;">
            {% for signal in signals %}
              <option value="{{signal.get('signal_name')}}">{{signal.get('signal_name')}}</option>
            {% endfor %}
          </select>
        </div>

        <p>
        <div>
          <ul id="lista">
          </ul>
        </div>

        <button type="button" onclick="addTag({{tags}})">Add Tag</button>

        <p>
        <div>
          <input type="submit" onclick="alert('Log Downloading...!')" value="Download">
        </div>
      </form>
    </div>
  </body>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/chosen/1.8.7/chosen.jquery.js" integrity="sha512-eSeh0V+8U3qoxFnK3KgBsM69hrMOGMBy3CNxq/T4BArsSQJfKVsKb5joMqIPrNMjRQSTl4xG8oJRpgU2o9I7HQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/prism/1.25.0/prism.js" integrity="sha512-HtDMd1Vya9CVeFDO2/imO3ew0tojMaoRRDnWD8I+HQpwdF3yhXOBofN7JW9+0VeQT/KfA0uUPwAgqf84RGZt7w==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://harvesthq.github.io/chosen/docsupport/init.js" type="text/javascript" charset="utf-8"></script>
  <script src="/static/js/test.js" type="text/javascript" charset="utf-8"></script>
</html>
